Foxit PDF SDK

Public Member Functions | Static Public Attributes | List of all members
FoxitPDFSDKPython3.TaggedPDFCallback Class Reference

Inherits FoxitPDFSDKPython3._object.

## Public Member Functions
def | Release ()
| A callback function used to release current callback object itself. More...
def | Report (category, confidence, page_index, rect)
| A callback function used to get the tagged PDF document result information, triggered when the document will be tagged. More...

## Static Public Attributes
| e_ReportCategoryArtifact = _fsdk.TaggedPDFCallback_e_ReportCategoryArtifact
| Report category type: artifact.
| e_ReportCategoryFigure = _fsdk.TaggedPDFCallback_e_ReportCategoryFigure
| Report category type: figure.
| e_ReportCategoryListItem = _fsdk.TaggedPDFCallback_e_ReportCategoryListItem
| Report category type: list item.
| e_ReportCategoryParagraph = _fsdk.TaggedPDFCallback_e_ReportCategoryParagraph
| Report category type: paragraph.
| e_ReportCategoryRegion = _fsdk.TaggedPDFCallback_e_ReportCategoryRegion
| Report category type: region.
| e_ReportCategoryTable = _fsdk.TaggedPDFCallback_e_ReportCategoryTable
| Report category type: table.
| e_ReportCategoryTableHeader = _fsdk.TaggedPDFCallback_e_ReportCategoryTableHeader
| Report category type: table header.
| e_ReportCategoryTableRow = _fsdk.TaggedPDFCallback_e_ReportCategoryTableRow
| Report category type: table row.
| e_ReportCategoryTocItem = _fsdk.TaggedPDFCallback_e_ReportCategoryTocItem
| Report category type: toc item.
| e_ReportConfidenceHigh = _fsdk.TaggedPDFCallback_e_ReportConfidenceHigh
| Report confidence: high.
| e_ReportConfidenceLow = _fsdk.TaggedPDFCallback_e_ReportConfidenceLow
| Report confidence: low.
| e_ReportConfidenceMedium = _fsdk.TaggedPDFCallback_e_ReportConfidenceMedium
| Report confidence: medium.
| e_ReportConfidenceMediumHigh = _fsdk.TaggedPDFCallback_e_ReportConfidenceMediumHigh
| Report confidence: medium high.
| e_ReportConfidenceMediumLow = _fsdk.TaggedPDFCallback_e_ReportConfidenceMediumLow
| Report confidence: medium low.

## Detailed Description

This class represents a callback object used to tag PDF document. All the pure virtual functions in this class are used as callback functions and should be implemented by user in derived class. User can also re-write the virtual functions in this class in custom way.

## Member Function Documentation

## ◆ Release()

def FoxitPDFSDKPython3.TaggedPDFCallback.Release | ( |  | ) |

A callback function used to release current callback object itself.

Returns
  None.

## ◆ Report()

def FoxitPDFSDKPython3.TaggedPDFCallback.Report | ( |  | category,
|  |  | confidence,
|  |  | page_index,
|  |  | rect
| ) |  |

A callback function used to get the tagged PDF document result information, triggered when the document will be tagged.

This function is very useful for user to get the tagged PDF document result information.

Parameters

  [in] | category | The report category for tagged PDF. Please refer to values starting from FoxitPDFSDKPython3.TaggedPDFCallback.e_ReportCategoryRegion and this would be one of these values.
  [in] | confidence | The report confidence for tagged PDF. Please refer to values starting from FoxitPDFSDKPython3.TaggedPDFCallback.e_ReportConfidenceHigh and this would be one of these values.
  [in] | page_index | The page index of current report item belongs to.
  [in] | rect | The rectangle of current report item.

Returns
  None.